<template>
  <a-spin :spinning="confirmLoading">
    <j-form-container :disabled="formDisabled">
      <a-form-model
        ref="form"
        :model="model"
        :rules="validatorRules"
        slot="detail"
      >
        <a-row>
          <a-col :span="24">
            <a-form-model-item
              label="评分"
              :labelCol="labelCol"
              :wrapperCol="wrapperCol"
              prop="score"
            >
              <a-input-number
                v-model="model.score"
                placeholder="请输入评价1-5星"
                style="width: 100%"
                disabled
              />
            </a-form-model-item>
          </a-col>
          <a-col :span="24">
            <a-form-model-item
              label="评价图片"
              :labelCol="labelCol"
              :wrapperCol="wrapperCol"
              prop="images"
            >
              <img
                width="100"
                style="padding:5px;"
                :src="image"
                v-for="(image, index) in images"
                :key="index"
              />
            </a-form-model-item>
          </a-col>
          <a-col :span="24">
            <a-form-model-item
              label="评价内容"
              :labelCol="labelCol"
              :wrapperCol="wrapperCol"
              prop="contentBody"
            >
              <a-textarea
                v-model="model.contentBody"
                rows="4"
                placeholder="请输入评价内容"
                disabled
              />
            </a-form-model-item>
          </a-col>
          <a-col :span="24">
            <a-form-model-item
              label="商家回复"
              :labelCol="labelCol"
              :wrapperCol="wrapperCol"
              prop="sellerContent"
            >
              <a-textarea
                v-model="model.sellerContent"
                rows="4"
                placeholder="请输入商家回复"
              />
            </a-form-model-item>
          </a-col>
        </a-row>
      </a-form-model>
    </j-form-container>
  </a-spin>
</template>

<script>
import { httpAction, getAction } from "@/api/manage";
import { validateDuplicateValue } from "@/utils/util";

export default {
  name: "CesOrderCommentForm",
  components: {},
  props: {
    //表单禁用
    disabled: {
      type: Boolean,
      default: false,
      required: false,
    },
  },
  data() {
    return {
      model: {},
      labelCol: {
        xs: { span: 24 },
        sm: { span: 5 },
      },
      wrapperCol: {
        xs: { span: 24 },
        sm: { span: 16 },
      },
      confirmLoading: false,
      validatorRules: {
        sellerContent: [{ required: true, message: "请输入商家回复!" }],
      },
      url: {
        add: "/order/cesOrderComment/add",
        edit: "/order/cesOrderComment/edit",
        queryById: "/order/cesOrderComment/queryById",
      },
      images: [],
    };
  },
  computed: {
    formDisabled() {
      return this.disabled;
    },
  },
  created() {
    //备份model原始值
    this.modelDefault = JSON.parse(JSON.stringify(this.model));
  },
  methods: {
    add() {
      this.edit(this.modelDefault);
    },
    edit(record) {
      this.model = Object.assign({}, record);
      this.visible = true;
      if (this.model.images) {
        this.images = this.model.images.split(",");
      }
    },
    submitForm() {
      const that = this;
      // 触发表单验证
      this.$refs.form.validate((valid) => {
        if (valid) {
          that.confirmLoading = true;
          let httpurl = "";
          let method = "";
          if (!this.model.id) {
            httpurl += this.url.add;
            method = "post";
          } else {
            httpurl += this.url.edit;
            method = "put";
          }
          httpAction(httpurl, this.model, method)
            .then((res) => {
              if (res.success) {
                that.$message.success(res.message);
                that.$emit("ok");
              } else {
                that.$message.warning(res.message);
              }
            })
            .finally(() => {
              that.confirmLoading = false;
            });
        }
      });
    },
  },
};
</script>